Page 1 of 1

Joomla! 3.4.0 udgivet

Posted: Wed Feb 25, 2015 3:34 pm
by ot2sen
Joomla-projektet har idag udgivet joomla! 3.4.0

Joomla! 3.4.0 indeholder en lang række forbedringer og enkelte nye features:
- Forbedret frontend redigering af moduler
- NoCapcha reCAPCHA som er den simplificerede og forbedrede captcha funktion.
- Forbedret sikkerhed i form af indbygget UploadShield
- Fjernelse af com_weblinks (kan stadig installes individuelt)
- Brugerregistrering er nu som standard sat til Off.

*Bemærk at minimum PHP er 5.3.10 fra joomla 3.3.0 og fremad.

Læs hele den engelske meddelse her:
http://www.joomla.org/announcements/rel ... -here.html

Download fuld pakke her:
https://github.com/joomla/joomla-cms/re ... ackage.zip
Download opgraderingpakker til 3.4.0 her:
https://github.com/joomla/joomla-cms/releases/tag/3.4.0


3.4.0 specific FAQ:
http://docs.joomla.org/Category:Version_3.4.0_FAQ

Re: Joomla! 3.4.0 udgivet

Posted: Fri Mar 27, 2015 4:35 pm
by Wahl
Jeg har ærligt meget svært ved at se det gode ved 3.4.0. Min side campingstuff.dk, er i 3.3.6, og jeg har prøvet to gange at opdatere til 3.4.0 og én gang til 3.4.1., hver gang med det resultat at min side ikke virker.

Jeg ved ikke hvorfor, og har prøvet at ændre flere til på siden, som anbefalet, men intet virker. Siden kan slet ikke vises når den opdateres. Det ender hver gang med at jeg må slette det hele og bruge 3.3.6 igen.

I min verden, er det makværk! At smide noget ud som man med et enkelt klik kan opdaterer til, som smadre ens side er makværk.

Jeg har nu prøvet om jeg kan undgå de irriterende meddelelser om ny version, så jeg bare kan køre videre med den version jeg, men det kan jeg ikke.

Kan nogen mon hjælpe, inden jeg "forlader" joomla, og finder en anden løsning?

Re: Joomla! 3.4.0 udgivet

Posted: Fri Mar 27, 2015 8:04 pm
by ot2sen
Hej Wahl - og velkommen til :)

De tilbudte opdateringer er en service, og oftest en rigtig god ide at følge anbefalingen da der kan være sikkerhedsopdateringer med.

At blive på en ældre version, hvis der er udgivet nyere inklusiv sikkerhedsrettelser betyder jo at du bevidst lader en dør stå åben. Det er et valg man kan gøre, men ikke noget jeg vil anbefale.

Hvis du har problemer med at opdatere kan det muligvis være mangel på ressourcer på dit webhotel.
Eller det kan tænkes at rettighederne på mapperne gør at processen ikke kan fuldføres.
Prøv at tjek om der under System->System information->Mapperettigheder er grønt/skrivbar ved alle.

Det lyder som om du har en backup, som du bør have, før du udfører opdateringen.
Du kan jo evt. prøve at lave den på en lokal webserver, for at se om du har bedre succes med flere ressourcer til rådighed.

Du kan også prøve at installere selve opdateringspakken på samme måde som du installerer udvidelser, hvis ikke den indbyggede kan få hentet pakken korrekt.

Alt i alt, der er mange muligheder, og afhænger af det enkelte setup.
For de fleste virker det uproblematisk med simple opdateringer.